Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.publish.uddi.wsdl
Class WsdlPublisherV01_08

    java.lang.Object
      de.uka.cmtm.serviceregistry.publish.uddi.wsdl.WsdlPublisherV01_08

All Implemented Interfaces:
  WsdlPublisher

Direct Known Subclasses:
  SaWsdlPublisherV01_08

    public class WsdlPublisherV01_08

extends Object
implements WsdlPublisher

This WsdlPublisher can publish WSDL files in UDDI following the UDDI.org best practices 1.08 mapping

Author:
  tilmann

Field Summary
`static String` | `WSDL_SPEC_TMODEL_KEY_VALUE` Value name vor keyd references specifying WSDL documents

Constructor Summary
`WsdlPublisherV01_08(UDDIProxy uddiProxy, AuthToken authToken)` Create a new WsdlPublisherV01_08

Method Summary
`protected void` | `addBindingTemplateTModelInstaceInfos(TModelInstanceDetails tModelInstanceDetails, Port port)` This is a hook method for subclasses to add their own TModelInstanceInfos to the published BindingTemplate.
`protected void` | `addServiceCategoryBagKeyedReferences(CategoryBag categoryBag, Service service)` This is a hook method for subclasses to add their own KeyedReferences to a published Services CategoryBag.
`void` | `publishWsdl(String wsdlUrl, String businessKey)` Publish all services defined in the WSDL identified by the given URL.
`void` | `publishWsdl(String wsdlUrl, String businessName, String businessDescription)` Publish all services defined in the WSDL identified by the given URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_SPEC_TMODEL_KEY_VALUE

    public static final String WSDL_SPEC_TMODEL_KEY_VALUE

  Value name vor keyd references specifying WSDL documents

  See Also:
    Constant Field Values

Constructor Detail

### WsdlPublisherV01_08

    public WsdlPublisherV01_08(UDDIProxy uddiProxy,
                               AuthToken authToken)

  Create a new WsdlPublisherV01_08

  Parameters:
    `uddiProxy` - the UDDIProxy to use
    `authToken` - the UDDI credentials to use

Method Detail

### publishWsdl

    public void publishWsdl(String wsdlUrl,
                            String businessKey)
                     throws IOException

  Publish all services defined in the WSDL identified by the given URL. Services will be published belonging to the business with the given key.

  Specified by:
    `publishWsdl` in interface `WsdlPublisher`
  Parameters:
    `wsdlUrl` - the URL of the WSDL file
    `businessKey` - the key of the business
  Throws:
    `IOException`

### addBindingTemplateTModelInstaceInfos

    protected void addBindingTemplateTModelInstaceInfos(TModelInstanceDetails tModelInstanceDetails,
                                                        Port port)
                                                 throws UDDIException,
                                                        TransportException

  This is a hook method for subclasses to add their own TModelInstanceInfos to the published BindingTemplate.

  Parameters:
    `tModelInstanceDetails` - here can the TModelInstanceInfos be added
    `port` - the Port for which the BindingTemplate is published
  Throws:
    `UDDIException`
    `TransportException`

### addServiceCategoryBagKeyedReferences

    protected void addServiceCategoryBagKeyedReferences(CategoryBag categoryBag,
                                                        Service service)
                                                 throws UDDIException,
                                                        TransportException

  This is a hook method for subclasses to add their own KeyedReferences to a published Services CategoryBag.

  Parameters:
    `categoryBag` - here can KeyedReferences be added
    `service` - the Service that is published
  Throws:
    `UDDIException`
    `TransportException`

### publishWsdl

    public void publishWsdl(String wsdlUrl,
                            String businessName,
                            String businessDescription)
                     throws IOException

  Publish all services defined in the WSDL identified by the given URL. Search for a business with the given name to publish the services for. If none can be found publish a new business with given name and description.

  Specified by:
    `publishWsdl` in interface `WsdlPublisher`
  Parameters:
    `wsdlUrl` - the URL of the WSDL file
    `businessName` - the name of the business to search for
    `businessDescription` - the description of the business to be published
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD